Page MenuHomePhabricator

{{''}} is parsed as plain text, not a transclusion
Closed, ResolvedPublic

Description

Parsoid doesn't treat {{''}} like a transclusion. It parses as plain text. In turn this causes that text to get nowiki-ed during serialization ( See this edit )

Event Timeline

NicoV created this task.Apr 14 2015, 9:58 PM
NicoV raised the priority of this task from to Needs Triage.
NicoV updated the task description. (Show Details)
NicoV added a subscriber: NicoV.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 14 2015, 9:58 PM
TheDJ set Security to None.
ssastry renamed this task from nowiki added around the opening {{ of an existing template to {{''}} is parsed as plain text, not a transclusion.Apr 15 2015, 1:42 PM
ssastry triaged this task as Medium priority.
ssastry updated the task description. (Show Details)
ssastry removed a project: VisualEditor.
ssastry moved this task from Needs Triage to In Progress on the Parsoid board.
marcoil claimed this task.May 6 2015, 3:18 PM

Change 209276 had a related patch set uploaded (by Marcoil):
T96090: Allow quotes as template targets

https://gerrit.wikimedia.org/r/209276

Change 209276 merged by jenkins-bot:
T96090: Allow quotes as template targets

https://gerrit.wikimedia.org/r/209276

ssastry closed this task as Resolved.May 13 2015, 7:22 PM
ssastry removed a project: Patch-For-Review.
ssastry removed a subscriber: gerritbot.
ssastry added a subscriber: ssastry.

Will be deployed today.